%define oname	bumblebee-indicator

Name:		plasma-applet-bumblebee-indicator
Version:	0.80
Release:	%mkrel 2
Summary:	Plasma applet for indicating the Nvidia card's on or off status
Group:		Graphical desktop/KDE
License:	GPLv3+
Url:		https://store.kde.org/p/998890
#Source0:	https://github.com/bxabi/bumblebee-indicator/archive/%%{version}/%%{oname}-%%{version}.tar.gz
# from git 2024-04-06#c975f682
Source0:	https://github.com/bxabi/bumblebee-indicator/archive/master.tar.gz
Patch1:		%{name}-0.61-mga-add-nvidia390-support.patch
Patch2:		%{name}-cmake-4.0.patch
BuildArch:	noarch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	gettext-devel

Requires:	plasma-workspace
Requires:	qt6-qtdeclarative
# as it is in nonfree repo
Recommends:	bumblebee-bin

%description
Plasma applet for indicating the Nvidia card's on or off status,
temperature, and other details.

%prep
%autosetup -p1 -n %{oname}-master

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

chmod +x %{buildroot}%{_kf6_datadir}/plasma/plasmoids/com.bxabi.bumblebee-indicator/contents/ui/locate-nvidia-smi.sh

%files
%doc README.md
%license LICENSE
%{_kf6_datadir}/plasma/plasmoids/com.bxabi.bumblebee-indicator/
%{_kf6_metainfodir}/com.bxabi.bumblebee-indicator.appdata.xml


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.80-2.mga10
+ Revision: 2233570
- Mageia 10 Mass Rebuild
+ daviddavid <daviddavid>
- fix build with cmake 4.0

* Fri Jan 03 2025 daviddavid <daviddavid> 0.80-1.mga10
+ Revision: 2135158
- new version: 0.80
- switch to Qt6/KF6

* Sun Jan 15 2023 daviddavid <daviddavid> 0.70-5.mga9
+ Revision: 1933557
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.70-4.mga9
+ Revision: 1659386
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 0.70-3.mga8
+ Revision: 1588537
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 0.70-2.mga8
+ Revision: 1524004
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 23 2019 daviddavid <daviddavid> 0.70-1.mga7
+ Revision: 1379670
- new version: 0.70

* Mon Mar 11 2019 daviddavid <daviddavid> 0.61-2.mga7
+ Revision: 1373967
- fix nvidia390-msi lib and lib64 path

* Mon Mar 11 2019 daviddavid <daviddavid> 0.61-1.mga7
+ Revision: 1373924
- new version: 0.61
- add nvidia390 support

* Wed Sep 19 2018 umeabot <umeabot> 0.35-3.mga7
+ Revision: 1274191
- Mageia 7 Mass Rebuild

* Sun Jan 29 2017 daviddavid <daviddavid> 0.35-2.mga6
+ Revision: 1083942
- requires plasma-workspace

* Sun Jan 29 2017 daviddavid <daviddavid> 0.35-1.mga6
+ Revision: 1083930
- initial package plasma-applet-bumblebee-indicator

